Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.runtime
Class DataSourceConnector

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.runtime.DataSourceConnector

All Implemented Interfaces:
  Connector

Direct Known Subclasses:
  ConfigurationConnector, PersistenceManagerConnector

public class DataSourceConnector
extends Object
implements Connector

A Connector is a provider for `Connection` instances, backed by a `DataSource` object.

Since:
  2.4

Constructor Summary
`DataSourceConnector(javax.sql.DataSource source, String username, String password)`

Method Summary
`boolean` | `equals(Object other)` Two DataSourceConnectors are equal if their constituent username, password, and DataSource are equals.
`Connection` | `getConnection()` Obtain a `Connection` instance.
`javax.sql.DataSource` | `getDataSource()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataSourceConnector

    public DataSourceConnector(javax.sql.DataSource source,
                               String username,
                               String password)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getDataSource

    public javax.sql.DataSource getDataSource()

### getConnection

    public Connection getConnection()
                             throws SQLException

  Obtain a `Connection` instance. Authenitcation information must be provided by this object, rather than by the requestor.
  Specified by:
    `getConnection` in interface `Connector`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Two DataSourceConnectors are equal if their constituent username, password, and DataSource are equals.
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.